//
//  EDAMClientCache.h
//  MacCoreNote
//
//  Created by Steve White on 4/15/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#ifndef EDAMClientCache_HEADER_GUARD
#define EDAMClientCache_HEADER_GUARD

#import <Foundation/Foundation.h>

@class EDAMHTTPClient;
@class EDAMLinkedNotebook;
@class ENCoreDataLocalStore;
@class ENLinkedNotebookMO;
@class ENNotebookMO;

@interface EDAMClientCache : NSObject

- (id) initWithPrimaryClient:(EDAMHTTPClient *)primaryClient
                  localStore:(ENCoreDataLocalStore *)localStore;

- (EDAMHTTPClient *) edamClientForNotebookWithGUID:(NSString *)notebookGUID;
- (EDAMHTTPClient *) edamClientForNotebook:(ENNotebookMO *)notebook;
- (EDAMHTTPClient *) edamClientForEDAMLinkedNotebook:(EDAMLinkedNotebook *)linkedNotebook;
- (EDAMHTTPClient *) edamClientForLinkedNotebook:(ENLinkedNotebookMO *)linkedNotebook;
- (EDAMHTTPClient *) edamClientForBusinessWithID:(NSNumber *)businessID;

@property (strong, nonatomic) NSNumber *businessID;

@end

#endif