//
//  EDAMUsage.h
//  Evernote
//
//  Created by Steve White on 6/4/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface EDAMUsage : NSObject  {
  NSString *_persistenceFile;

  NSDate *_lastSessionBoundaryDate;
  NSUInteger _sessionCount;
}

- (id) initWithUsername:(NSString *)username
            serviceHost:(NSString *)serviceHost;




// After submitting the session count to the servers, you should
// reset the session count
- (void) resetSessionCount;
- (void) logout;

@property (readonly, atomic, assign) NSUInteger sessionCount;
@property (readonly, atomic) NSDate *lastSessionBoundaryDate;

@end
