//
//  EDAMUserStoreClient+EDAMUserStoreClientAdditions.h
//  EverNote
//
//  Created by Andrew McGeachie on 3/8/12.
//  Copyright (c) 2012 Evernote. All rights reserved.
//

#import <EDAM/EDAMUserStore.h>


@interface EDAMUserStoreClient (EDAMUserStoreClientAdditions)


/**
 * Create a new user store client that talks to the service host specified in the current
 * bootstrap profile.
 */
+ (EDAMUserStoreClient *)clientForCurrentBootstrapProfile;


/**
 * Create a new user store client that talks to the service host specified in the
 * bootstrap profile.
 */
+ (EDAMUserStoreClient *) clientWithBootstrapProfile: (EDAMBootstrapProfile *) profile;


/**
 * Create a new user store client that talks to the specified user store URL and
 * standard thrift protocol and transport.
 */
+ (EDAMUserStoreClient *) clientWithServerURL: (NSURL *) url;


/**
 * Check version convenience method
 */
- (BOOL) checkVersion;


/**
 * Check version convenience method.  If the cache isn't used, make the call on the specified dispatch queue
 */
- (BOOL) checkVersionUsingQueue: (dispatch_queue_t) dq;


/**
 * Do a version check, but ignore cached values
 */
- (BOOL) checkVersionIgnoringCache;

/**
 * Do a version check, but ignore cached values
 */
- (BOOL) checkVersionIgnoringCacheUsingQueue: (dispatch_queue_t) dq;


@end
