//
//  ENBatchSearchTextDownloadOp.h
//  CoreNote
//
//  Created by Steve White on 6/16/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@class EDAMHTTPClient;
@class ENAccountContext;
@class ENNoteMO;
@class ENResourceMO;

extern NSString * const ENBatchSearchTextDownloadOpErrorDomain;

extern NSString * const ENBatchSearchTextDownloadEntityDataKey;
extern NSString * const ENBatchSearchTextDownloadContentKey;

@interface ENBatchSearchTextDownloadOp : NSOperation

@property (strong, nonatomic) ENAccountContext *accountContext;
@property (strong, nonatomic) EDAMHTTPClient *edamClient;
@property (strong, nonatomic) NSString *notebookGUID;
@property (nonatomic, readonly) NSUInteger numberOfRequests;
@property (nonatomic, readonly) NSUInteger estimatedRequestSize;
@property (copy, nonatomic) void (^receivedDataBlock)(NSData *);
@property (strong, nonatomic, readonly) NSArray *errors;

// Background processing

@property (nonatomic,assign) BOOL isBackground;

- (void) addNoteForSearchText:(ENNoteMO *)note;
- (void) addResourceForRecoData:(ENResourceMO *)resource;
- (void) addResourceForSearchText:(ENResourceMO *)resource;

@end
