//
//  ENCommerceOperation.h
//  CoreNote
//
//  Created by Steve White on 6/16/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import "ENSyncOperation.h"

extern NSString * const ENCommerceOperationDidSubmitReceiptNotification;
extern NSString * const ENCommerceOperationDidFinalizeTransactionNotification;

extern NSString * const ENCommerceOfferCodePremiumCard; // premium card itself (default)
extern NSString * const ENCommerceOfferCodeMaxNoteSize; // note too large alert
extern NSString * const ENCommerceOfferCodePremiumExpirationReminder; // about to expire alert
extern NSString * const ENCommerceOfferCodeSettings; // tap 'Go Premium' from settings
extern NSString * const ENCommerceOfferCodeQuotaMessage; // over quota alert
extern NSString * const ENCommerceOfferCodeDocumentSearch; // doc search drop down
extern NSString * const ENCommerceOfferCodeSharingPermissions; // notebook sharing permissions
extern NSString * const ENCommerceOfferCodeRelatedNotes; // related notes section
extern NSString * const ENCommerceOfferCodeOfflineNote; // warning on note when content is not downloaded
extern NSString * const ENCommerceOfferCodeNearQuota; // near quota warning
extern NSString * const ENCommerceOfferCodePremiumSupport; // upsell on support ticket page
extern NSString * const ENCommerceOfferCodeAnnouncements; // upsell on Announcements page
extern NSString * const ENCommerceOfferCodeCarrierPromo;
extern NSString * const ENCommerceOfferCodePassCode;
extern NSString * const ENCommerceOfferCodeMarkUpPDF; // upsell when trying to Mark Up a PDF file
extern NSString * const ENCommerceOfferCodeBusinessCardFirstUse; // upsell when trying to scan a business card for the first time
extern NSString * const ENCommerceOfferCodeBusinessCardReviewScreen; // upsell when reviewing a business card scan result
extern NSString * const ENCommerceOfferCodeBusinessCardFifthCard; // upsell when saving the last free card
extern NSString * const ENCommerceOfferCodeBusinessCardPostTrial; // upsell after free business card trial ended
extern NSString * const ENCommerceOfferCodeMarketTile; //home view market tile
extern NSString * const ENCommerceOfferCodeSharedNotebookInviteUsers; // upsell when inviting user for notebook sharing
extern NSString * const ENCommerceOfferCodeSharedNotebookManagePermissions; // upsale when managing notebook sharing permission

typedef NSString * ENCommerceOfferCode;

@class SKProduct;
@class SKPaymentTransaction;

@interface ENCommerceOperation : ENSyncOperation

+ (ENCommerceOperation *) commerceOperationWithProduct:(SKProduct *)product
                                    paymentTransaction:(SKPaymentTransaction *)transaction;

@property (strong, nonatomic) NSLocale *priceLocale;
@property (strong, nonatomic) NSNumber *price;
@property (strong, nonatomic) NSData *receipt;
@property (strong, nonatomic) NSString *transactionIdentifier;
@property (assign, nonatomic, getter=isExtendingSubscription) BOOL extendingSubscription;
@property (strong, nonatomic) NSDate *initialSubmission;
@property (copy, nonatomic) NSString *purchaseVerifyPath;
@property (strong, nonatomic) NSString *offerCode;

@end
