//
//  ENContentProtocol.h
//  CoreNote
//
//  Created by Steve White on 10/21/11.
//  Copyright (c) 2011 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ENMLTransformer.h"

extern NSString * const ENContentObjectProtocolScheme;
extern NSString * const ENContentProtocolContentHeaderKey;
extern NSString * const ENContentProtocolContentFooterKey;

extern NSString * const ENContentProtocolErrorDomain;
enum {
  ENContentProtocolIncorrectAccountContext = -7000,
  ENContentProtocolMissingAccountContext = -8000,
  ENContentProtocolObjectNotFound = -8100,
  ENContentProtocolEDAMAuthException = -9000,
  ENContentProtocolEDAMNotFoundException = -9010,

  ENContentProtocolEntityNeedsGuid = -6000,
  ENContentProtocolNeedsEDAMClient = -6050,
  ENContentProtocolCannotFindNoteStore = -6100,
  ENContentProtocolNeedsAuthToken = -6200,
};

@class ENAccountContext;
@class ENCoreDataLocalStore;

@interface ENContentProtocol : NSURLProtocol<ENMLIncrementalTransformDelegate>

+ (void) registerMainAccountContext:(ENAccountContext *)accountContext;

+ (void) registerProtocol;
+ (NSURL *) evernoteContentURLForResource:(NSString *)name ofType:(NSString *)extension;

@end
