//
//  ENCoreDataLocalStoreBackingDelegate.h
//  CoreNote
//
//  Created by Isaac Wankerl on 6/20/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

@class ENCoreDataLocalStore;


@protocol ENCoreDataLocalStoreBackingDelegate <NSObject>

@optional

/**
 * Optional delegate method that the local store is about to expunge the backing files for a particular object.
 * @param localStore The local store which is about to expunge the object.
 * @param backingPaths Array of the paths associated with the object.
 * @param object The CoreData object that is about to be expunged.
 */
- (void)localStore:(ENCoreDataLocalStore *)localStore willExpungeBackingFiles:(NSArray *)backingPaths forObject:(id)object;

@end
