//
//  ENImagePreviewItem.h
//  Evernote
//
//  Created by Steve White on 11/20/10.
//  Copyright 2010 Evernote Corporation. All rights reserved.
//

#if TARGET_OS_IPHONE
# import <UIKit/UIKit.h>
#else
# import <AppKit/AppKit.h>
#endif

#import "ENPreviewItem.h"

typedef enum {
  ENImagePreviewItemImageTypeRGBA5551 = 1,
  ENImagePreviewItemImageTypeRGBA8888,
  ENImagePreviewItemImageTypePNG,
  ENImagePreviewItemImageTypeJPEG,
} ENImagePreviewItemImageType;

@interface ENImagePreviewItem : ENPreviewItem

@property (assign, nonatomic) ENImagePreviewItemImageType imageType;
@property (assign, nonatomic) CGSize imageSize;
@property (assign, nonatomic) CGFloat imageScale;
@property (strong, nonatomic) NSData *imageData;

#if TARGET_OS_IPHONE
@property (readonly, nonatomic) UIImage *image;
- (UIImage *) imageInRect:(CGRect)rect;
#else
@property (readonly, nonatomic) NSImage *image;
- (NSImage *) imageInRect:(CGRect)rect;
#endif

@end