//
//  ENMLtoHTMLConverter.h
//  CoreNote
//
//  Created by Steve White on 10/21/11.
//  Copyright (c) 2011 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "ENCoreDataLocalStore.h"
#import "ENEncryptedContentInfo.h"
#import "ENXMLSaxParser.h"
#import "ENHTMLTemplate.h"
#import "ENHTMLWriter.h"

@protocol ENMLtoHTMLConverterDelegate;

@interface ENMLtoHTMLConverter : NSObject<ENXMLSaxParserDelegate, KSWriter>

@property (strong, nonatomic) ENNoteMOID *noteID;
@property (strong, nonatomic) ENCoreDataLocalStore *localStore;
@property (weak, nonatomic) id<ENMLtoHTMLConverterDelegate> delegate;

- (NSString *) htmlFromContentsOfENMLFile:(NSString *)enmlFile;
- (NSString *) htmlFromENMLContent:(NSString *)enmlContent;

- (void) writeData:(NSData *)data;
- (void) finish;
- (void) cancel;

@end

@protocol ENMLtoHTMLConverterDelegate <NSObject>
- (void) enmlConverterDidStart:(ENMLtoHTMLConverter *)converter;
- (void) enmlConverterDidFinish:(ENMLtoHTMLConverter *)converter;
- (void) enmlConverter:(ENMLtoHTMLConverter *)converter didGenerateString:(NSString *)string;
- (void) enmlConverter:(ENMLtoHTMLConverter *)converter didFailWithError:(NSError *)error;
@end
