//
//  ENPreviewRequest.h
//  Evernote
//
//  Created by Steve White on 11/8/10.
//  Copyright 2010 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ENCoreDataLocalStore.h"
#import "Reachability.h"

@class ENAccountContext;
@class ENPreviewItem;
@class ENPreviewManager;

@interface ENPreviewRequest : NSOperation

@property (strong, nonatomic) ENAccountContext *accountContext;
@property (strong, nonatomic) ENPreviewManager *previewManager;
@property (strong, nonatomic) ENCoreDataLocalStore * localStore;

@property (strong, nonatomic) ENPreviewItem *previewItem;
@property (nonatomic) uint32_t previewKey;
@property (strong, nonatomic) NSManagedObjectID *objectId;
@property (strong, nonatomic) NSString* localUUID;

/** Whether to make a URL request to the service if all necessary data not available locally. */
@property (nonatomic) BOOL useService;

- (NetworkStatus) networkStatus;

- (BOOL) processRequest;
- (void) performBlockOnServiceEntity:(void (^)(id))block;

@end
