//
//  ENResourcePreviewItem.h
//  Evernote
//
//  Created by Steve White on 8/31/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#import "ENPreviewItem.h"

#if TARGET_OS_IPHONE
# import <UIKit/UIKit.h>
#else
# import <AppKit/AppKit.h>
#endif

#import "ENImagePreviewItem.h"
#import "ENResourceMO.h"

typedef enum {
  ENResourcePreviewItemImageTypeRegular = 0,
  ENResourcePreviewItemImageTypePostIt,
  ENResourcePreviewItemImageTypeBizCard,
  ENResourcePreviewItemImageTypeLogo,
} ENResourcePreviewItemImageType;

@interface ENResourcePreviewItem : ENPreviewItem

@property (strong, nonatomic) NSString *attachmentName;
@property (nonatomic) uint32_t attachmentSize;
@property (nonatomic) ENResourcePreviewItemImageType imageType;
@property (strong, nonatomic) ENImagePreviewItem *imageItem;

#if defined(EVERNOTE_CORE_APP) && EVERNOTE_CORE_APP == 1
@property (nonatomic) ENResourceAttachmentIconType attachmentIconType;
#else
@property (nonatomic) uint8_t attachmentIconType;
#endif

#if TARGET_OS_IPHONE
- (UIImage *) image;
#else
- (NSImage *) image;
#endif

@end
