//
//  ENSearchTextTokenizer.h
//  Evernote
//
//  Created by Steve White on 6/30/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ENSearchTextTokenizer : NSObject

+ (NSArray *) englishStopWords;

+ (NSArray *) tokensFromString:(NSString *)inputString
                usingStopWords:(NSArray *)stopWords;

// Invokes the above, using +englishStopWords
+ (NSArray *) tokensFromString:(NSString *)inputString;

// Returns ENSearchToken objects with the text and range of the tokens
+ (NSArray *) tokenObjectsFromString:(NSString *)inputString
                      usingStopWords:(NSArray *)stopWords;

+ (NSString *) tokenizedTextFromString:(NSString *)inputString
                        usingStopWords:(NSArray *)stopWords;

// Invokes the above, using +englishStopWords
+ (NSString *) tokenizedTextFromString:(NSString *)inputString;

@end
