//
//  ENSnippetGenerator.h
//  Evernote
//
//  Created by Steve White on 12/8/10.
//  Copyright 2010 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@class EDAMHTTPClient;
@class ENNoteMO;

extern NSString * const ENSnippetGeneratorFailure;
extern NSString * const ENSnippetGeneratorTodoChecked;
extern NSString * const ENSnippetGeneratorTodoUnchecked;

@interface ENSnippetGenerator : NSObject

@property (strong, nonatomic) NSString *noteTitle;
@property (strong, nonatomic) NSString *noteSource;
@property (readonly, nonatomic) id snippetSource;
@property (nonatomic, getter = isHTML) BOOL html;

@property (nonatomic) NSUInteger maximumLength;

@property (readonly, nonatomic) NSString *snippet;
@property (readonly, nonatomic) BOOL hasEncryption;

@property (readonly, nonatomic) NSArray *listLineRanges;
@property (readonly, nonatomic) NSArray *sentenceRanges;

@property (readonly, nonatomic) NSArray *orderedResources;
@property (readonly, nonatomic) BOOL parsedEntireDocument;

- (id) initWithNote:(ENNoteMO *)note
         edamClient:(EDAMHTTPClient *)edamClient;
- (id) initWithContentsOfFile:(NSString *)file;
- (id) initWithContentsOfString:(NSString *)string;
- (id) initWithContentsOfURLRequest:(NSURLRequest *)urlRequest;

@end
