//
//  ENSystemUtils.h
//  CoreNote
//
//  Created by Andrew McGeachie on 10/2/13.
//  Copyright (c) 2013 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>

#ifndef CoreNote_ENSystemUtils
#define CoreNote_ENSystemUtils

@interface ENSystemUtils : NSObject


/**
 * Get Hardware UUID for XAuth purposes
 */
+ (NSString *) hardwareUUID;


/**
 * System version we are running on
 */
+ (void) systemVersionMajor: (NSUInteger*) majorVersion minor: (NSUInteger *) minorVersion bugFix: (NSUInteger *)bugFixVersion;


#if defined TARGET_OS_IPHONE && TARGET_OS_IPHONE != 0


#else

/**
 * Are we running on the specified system or later?
 */
+ (BOOL)runningOnAtLeastMajor:(NSUInteger)major minor:(NSUInteger)minor bugFix:(NSUInteger)bugFix;

/**
 * Are we running on Lion (10.7) or later?
 */
+ (BOOL) runningOnLionOrLater;

/**
 * Are we running on Mountain Lion (10.8) or later?
 */
+ (BOOL) runningOnMountainLionOrLater;

/**
 * Mavericks (10.9) ?
 */
+ (BOOL) runningOnMavericksOrLater;

/**
 * Yosemite (10.10) ?
 */
+ (BOOL) runningOnYosemiteOrLater;

/**
 * Should we be hitting stage?
 */
+ (BOOL) useStage;


/**
 * Should we be hitting some alternate server?
 */
+ (NSString *) substituteServerName;


#endif


@end

#endif
