//
//  ENUserProfile.h
//  Evernote
//
//  Created by Steve White on 6/12/14.
//  Copyright (c) 2014 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol ENUserProfile <NSObject>

// EDAMUserProfile
- (NSNumber *) id;
- (void) setId:(NSNumber *)id;
- (NSString *) name;
- (void) setName:(NSString *)name;
- (NSString *) email;
- (void) setEmail:(NSString *)email;
- (NSString *) username;
- (void) setUsername:(NSString *)username;
- (NSDate *) joined;
- (void) setJoined:(NSDate *)joined;

// EDAMBusinessUserAttributes
- (NSString *) title;
- (void) setTitle:(NSString *)title;
- (NSString *) location;
- (void) setLocation:(NSString *)location;
- (NSString *) department;
- (void) setDepartment:(NSString *)department;
- (NSString *) mobilePhone;
- (void) setMobilePhone:(NSString *)mobilePhone;
- (NSString *) linkedInProfileUrl;
- (void) setLinkedInProfileUrl:(NSString *)linkedInProfileUrl;
- (NSString *) workPhone;
- (void) setWorkPhone:(NSString *)workPhone;
- (NSDate *) companyStartDate;
- (void) setCompanyStartDate:(NSDate *)companyStartDate;

@end

@interface ENUserProfile : NSObject<NSCoding, ENUserProfile>

// EDAMUserProfile
@property (nonatomic, strong) NSNumber * id; // EDAMUserID
@property (nonatomic, assign) int32_t idValue;
@property (nonatomic, strong) NSString * name;
@property (nonatomic, strong) NSString * email;
@property (nonatomic, strong) NSString * username;
@property (nonatomic, strong) NSDate * joined;

// EDAMBusinessUserAttributes
@property (nonatomic, strong) NSString * title;
@property (nonatomic, strong) NSString * location;
@property (nonatomic, strong) NSString * department;
@property (nonatomic, strong) NSString * mobilePhone;
@property (nonatomic, strong) NSString * linkedInProfileUrl;
@property (nonatomic, strong) NSString * workPhone;
@property (nonatomic, strong) NSDate * companyStartDate;

@end