//
//  NSDataHexDigitsAdditions.h
//  Evernote
//
//  Created by Andrew McGeachie on 10/31/07.
//  Copyright 2007 Evernote Corp. All rights reserved.
//


#import <Foundation/Foundation.h>


@interface NSData (NSDataHexDigitsAdditions)


/**
 * Return a plain hex string representation of the data object.  No extraneous
 * characters allowed.  Use uppercase letters.
 */
- (NSString *) uppercaseHexDigits;


/**
 * Return a plain hex string representation of the data object.  No extraneous
 * characters allowed.  Use lowercase letters.
 */
- (NSString *) lowercaseHexDigits;


/**
 * Gimme some data given a string of hex digits.  No extraneous characters allowed.
 */
+ (NSData *) dataWithHexDigits: (NSString *) hexDigits;

@end
