//
//  NSDateEDAMAdditions.h
//  EverNote
//
//  Created by Andrew McGeachie on 4/15/11.
//  Copyright 2011 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSDate (NSDateEDAMAdditions)


/**
 * Convert an edam timestamp to an NSDate
 */
+ (NSDate *) dateFromEDAMTimestamp: (int64_t) edamTimestamp;


/**
 * Convert an NSDate to an edam timestamp
 */
- (int64_t) edamTimestamp;


/**
 * YES if the NSDate is the same as the edam timestamp.  Does not compare
 * beyond a granularity of seconds since edam timestamps are only accurate to 
 * seconds.
 */
- (BOOL) isEqualToEDAMTimestamp: (int64_t) edamTimestamp;


@end
