//
//  NSString+Regex.h
//  Evernote
//
//  Created by Steve White on 2/24/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString * const ENRegexGUIDPattern;

@interface NSString (Regex)

- (BOOL)matchedByPattern:(NSString *)pattern options:(int)options;
- (BOOL)matchedByPattern:(NSString *)pattern;

- (NSString *)substringMatchedByPattern:(NSString *)pattern options:(int)options;
- (NSString *)substringMatchedByPattern:(NSString *)pattern;

- (NSArray *)substringsMatchedByPattern:(NSString *)pattern options:(int)options;
- (NSArray *)substringsMatchedByPattern:(NSString *)pattern;

- (NSArray *)substringsCapturedByPattern:(NSString *)pattern options:(int)options;
- (NSArray *)substringsCapturedByPattern:(NSString *)pattern;


@end
