//
//  ENQuickNoteAttachmentCell.h
//  EvernoteHelper
//
//  Created by Zdzislaw Losvik on 23/01/2013.
//
//

#import <Foundation/Foundation.h>

@class ENFileWrapper;

@interface ENQuickNoteAttachmentCell : NSTextAttachmentCell
{
  ENFileWrapper *mFileWrapper;
}

@property (nonatomic, readonly) ENFileWrapper *fileWrapper;

/**
 * Creates and returns a proper attachement cell for give file wrapper.
 */
+ (ENQuickNoteAttachmentCell *)attachmentCellWithFileWrapper:(ENFileWrapper *)fileWrapper;

/**
 * Computes the maximum cell width for the text container.
 */
+ (CGFloat)maxCellWidthForTextContainer:(NSTextContainer *)textContainer;

/**
 * Designated ininializer. To be used by subclasses only.
 */
- (id)initWithFileWrapper:(ENFileWrapper *)fileWrapper;

/**
 * Should be overriden by subclasses which perform background tasks
 */
- (void)stopActivity;

/**
 * @return if the point is inside the cell's button(s).
 */
- (BOOL)isPointInsideButton:(NSPoint)point;
@end
