//
//  NSFileManagerAdditions.h
//  EverNote
//
//  Created by Steve White on 2/1/08.
//  Copyright 2008 Evernote Corporation. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSFileManager (ENSharedUtilities)
- (NSString *)temporaryFilePath;

/**
 * Creates a temporary directory with a unique name. 
 * The directory is stored inside the NSTemporaryDirectory in a directory named by the app identifier.
 * The prefix is used to give the folder a meaningful name. 
 */
- (NSString *)createTemporaryDirectoryWithPrefix:(NSString *)prefix error:(NSError **)outError;

/**
 * Removes the temporary directory created with createTemporaryDirectoryWithPrefix:error:
 * Returns a boolean indicating success or failure.
 */
- (BOOL)removeTemporaryDirectories:(NSError **)outError;
@end
