//
//  ENAddressBookController.h
//  SocialSearch
//
//  Created by Eric Cheng on 7/26/13.
//  Copyright (c) 2013 Evernote Corp. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AddressBook/AddressBook.h>
#import "ENSocialSearch.h"

@interface ENAddressBookController : NSObject {
    BOOL isAuthorized;
}

@property (readonly) BOOL isAuthorized;

+ (ENAddressBookController *)sharedController;

- (NSArray *) abContactsWithEmails:(NSSet *)emailList phones:(NSSet *)phoneNumbers firstName:(NSString *)firstName lastName:(NSString *)lastName;
+ (NSString *)firstNameFromABPerson: (ABPerson *)person;
+ (NSString *)lastNameFromABPerson: (ABPerson *)person;
+ (NSString *)middleNameFromABPerson: (ABPerson *)person;
+ (NSString *)fullNameFromABPerson: (ABPerson *)person;
+ (NSArray *)addressListFromABPerson: (ABPerson *)person;
+ (NSString *)additionalNotesFromABPerson: (ABPerson *)person;
+ (NSData *)addressBookAvatarDataFromABPerson: (ABPerson *)person;
+ (NSSet *)imAccountsFromABPerson: (ABPerson *)person;
+ (NSSet *)emailAccountsFromABPerson: (ABPerson *)person;
+ (NSSet *)twitterAccountsFromABPerson: (ABPerson *)person;
+ (NSSet *)weiboAccountsFromABPerson: (ABPerson *)person;
+ (NSSet *)phoneNumbersFromABPerson: (ABPerson *)person;
+ (NSSet *)websiteURLsFromABPerson: (ABPerson *)person;
+ (NSString *)jobTitleFromABPerson: (ABPerson *)person;
+ (NSString *)companyFromABPerson: (ABPerson *)person;
+ (NSString *)uidFromABPerson: (ABPerson *)person;
- (void)saveSocialProfileInAddressBook: (ENSocialProfile *)profile completionHandler:(void (^)(BOOL succeeded))completion;

@end
