//
//  ENNameUtilities.h
//  TLNameInputUtilities
//
//  Created by Tong Liu on 12/9/11.
//  Copyright (c) 2011 Evernote. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ENNameComponents.h"

#define NamePatternsBundleName  @"ENNamePatterns.bundle"
#define PathToNamePatternFile   @"NamePatterns.plist"

#define NameListSeparator           @"\n"
#define FullnameComponentSeparator  @" "
#define EmptyString                 [NSString string]

// Keys for the name pattern dictionary initilized from NamePatterns.plist
#define kCharacterCountOfCommonFamilyNames @"characterCountOfCommonFN"
#define kNamePatternSuggestion             @"namePatternSuggestion"
#define kCanDisplayInMultiLine             @"canDisplayInMultilLine"
#define kNamePatterns                      @"patterns"


// Language keys
#define kEnglish   @"en-US"
#define kChinese   @"zh-Hans"
#define kChineseT  @"zh-Hant"
#define kJapanese  @"ja-JP"
#define kKorean    @"ko-KR"
#define kCJK       @"cjk-CJK"


typedef enum {
  ENNamePatternFirstLast,   // 0
  ENNamePatternLastFirst,   // 1
  ENNamePatternOther        // 2
} ENNamePattern;

@class ENNameComponents;

@interface ENNameParser : NSObject

@property (strong, nonatomic) NSDictionary *namePatternDictionary;

+ (ENNameParser *)sharedParser;
+ (NSString *)namePatternBundlePath;
- (ENNameComponents *)nameFromFullName:(NSString *)fullName language:(NSString *)languageCode; //This is the default implementation, you should always use "(ENNameComponents *)nameFromFullName:(NSString *)fullName" which calls the corresponding overriden methods in subclasses
- (ENNameComponents *)nameFromFullName:(NSString *)fullName;

@end