//
//  ENSocialSearchDefines.h
//  SocialSearch_iOS
//
//  Created by Tong Liu on 5/19/14.
//  Copyright (c) 2014 Evernote Corp. All rights reserved.
//

typedef enum {
  ENSocialSearchResultNotFound = 0,
  ENSocialSearchResultFoundOnLinkedIn,
  ENSocialSearchResultFoundOnFacebook,
  ENSocialSearchResultFoundOnBoth,
  ENSocialSearchResultTimeout
} ENSocialSearchResult;

// Social Search Finished Notification Keys
extern NSString * const kENSocialSearchFinishedNotification;

extern NSString * const kENSocialSearchRequestIDKey;         // the same ID as in noteUUID when client first sent out card processing request
extern NSString * const kENSocialSearchResultTypeKey;        // NSNumber of ENSocialSearchResult, in case client wants to record the result type and perform additional operations later
extern NSString * const kENSocialSearchSocialProfileKey;     // social profile found from social search
extern NSString * const kENSocialSearchNewENMLContentKey;    // if present, contains new enmlContent after merging social profile with cardscan result, client needs to replace ENNoteMO's content with this new content; the new content already reference the image hashes for any additional resources referenced by the next key
extern NSString * const kENSocialSearchNewImageResourcesKey; // if present, contains new image resources after merging social profile with cardscan result, most likeyly avatar from LinkedIn or Facebook, and client needs to create ENResourceMO from the image

// Social Search Request Information Keys
extern NSString * const kENSocialSearchBaseHelloContactKey;     // ENContactNoteStorage based on which we start the social search
extern NSString * const kENSocialSearchStartedDateKey;          // NSDate of the moment when the social search request is sent, used for determine if we want to automatically discard the request due to timeout
